BuildRequires: jpackage-1.4-compat
Name: geronimo-specs
Version: 1.0
Release: alt0.M5.6

Summary: Apache's Geronimo implementation of J2EE specification
License: Apache License, Version 2.0
Group: Development/Java

Url: http://geronimo.apache.org

Source: geronimo-%version-M5-src.tar.bz2
Source1: %name-build.tar.bz2

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit mx4j

BuildArch: noarch

Requires: java-common

%description
Apache's Geronimo implementation of J2EE specification:
* activation	  - Java Activation Framework
* corba		  - CORBA Specification
* ejb		  - Enterprise JavaBeans Specification
* j2ee-connector  - J2EE Connector Architecture Specification
* j2ee-deployment - J2EE Application Deployment Specification
* j2ee-jacc	  - Java Authorization Contract for Containers Specification
* j2ee-management - J2EE Application Management Specification
* javamail	  - JavaMail API
* jaxr		  - Java API for XML Registries (JAXR)
* jaxrpc	  - Java API for XML-Based RPC (JAXRPC)
* jms		  - JMS Specification
* jsp		  - JavaServer Pages Specification
* jta		  - Java Transaction API Specification
* qname		  - javax.xml.namespace.QName API
* saaj		  - SOAP with Attachments API for Java (SAAJ)
* servlet	  - Servlet Specification

%package activation
Summary: Geronimo :: Java Activation Framework 1.0.2-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-jaf-1.0.2-api = %version-%release

%description activation
%summary.

%package corba
Summary: Geronimo :: CORBA Spec 2.3-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-corba-2.3-apis = %version-%release

%description corba
%summary.

%package ejb
Summary: Geronimo :: Enterprise JavaBeans Specification 2.1-rc4 API
Group: Development/Java
Requires: %name
Requires: %name-jta
### JPP
Provides: geronimo-ejb-2.1-api = %version-%release
Provides: ejb = 0:2.1

%description ejb
%summary.

%package j2ee-connector
Summary: Geronimo :: J2EE Connector Architecture Specification 1.5-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-j2ee-connector-1.5-api = %version-%release
Provides: j2ee-connector = 0:1.5

%description j2ee-connector
%summary.

%package j2ee-deployment
Summary: Geronimo :: J2EE Application Deployment Specification 1.1-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-j2ee-deployment-1.1-api = %version-%release
Provides: j2ee-deployment = 0:1.1

%description j2ee-deployment
%summary.

%package j2ee-jacc
Summary: Geronimo :: Java Authorization Contract for Containers Specification 1.0-rc5 API
Group: Development/Java
Requires: %name
Requires: %name-servlet
### JPP
Provides: geronimo-jacc-1.0-api = %version-%release
Provides: jacc = 0:1.0


%description j2ee-jacc
%summary.

%package j2ee-management
Summary: Geronimo :: J2EE Application Management Specification 1.0-rc4 API
Group: Development/Java
Requires: %name
Requires: mx4j
Requires: %name-ejb
### JPP
Provides: geronimo-j2ee-management-1.0-api = %version-%release
Provides: 2ee-management = 0:1.0

%description j2ee-management
%summary.

%package javamail
Summary: Geronimo :: JavaMail API 1.3.1-rc6 API
Group: Development/Java
Requires: %name
Requires: %name-activation
### JPP
Provides: geronimo-javamail-1.3.1-api = %version-%release

%description javamail
%summary.

%package jaxr
Summary: Geronimo :: Java API for XML Registries (JAXR) 1.0-rc4 API
Group: Development/Java
Requires: %name
Requires: %name-activation
### JPP
Provides: geronimo-jaxr-1.0-api = %version-%release
Provides: jaxr = 0:1.0
Provides: jaxr-api = 0:1.0

%description jaxr
%summary.

%package jaxrpc
Summary: Geronimo :: Java API for XML-Based RPC (JAXRPC) 1.1-rc4 API
Group: Development/Java
Requires: %name
Requires: %name-qname
Requires: %name-saaj
Requires: %name-servlet
### JPP
Provides: geronimo-jaxrpc-1.1-api = %version-%release
Provides: jaxrpc = 1.1

%description jaxrpc
%summary.

%package jms
Summary: Geronimo :: JMS Specification 1.1-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-jms-1.1-api = %version-%release
Provides: jms = 0:1.1

%description jms
%summary.

%package jsp
Summary: Geronimo :: JavaServer Pages Specification 2.0-rc4 API
Group: Development/Java
Requires: %name
Requires: %name-servlet
### JPP
Provides: geronimo-jsp-2.0-api = %version-%release
Provides: jsp = 0:2.0

%description jsp
%summary.

%package jta
Summary: Geronimo :: Java Transaction API Specification 1.0.1B-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-jta-1.0.1B-api = %version-%release
Provides: jta = 0:1.0.1B

%description jta
%summary.

%package qname
Summary: Geronimo :: javax.xml.namespace.QName API 1.1-rc4 API
Group: Development/Java
Requires: %name
### JPP
Provides: geronimo-qname-1.1-api = %version-%release

%description qname
%summary.

%package saaj
Summary: Geronimo :: SOAP with Attachments API for Java (SAAJ) 1.1-rc4 API
Group: Development/Java
Requires: %name
Requires: %name-activation
### JPP
Provides: geronimo-saaj-1.1-api = %version-%release
Provides: saaj = 0:1.1

%description saaj
%summary.

%package servlet
Summary: Geronimo :: Servlet Specification 2.4-rc4 API
Group: Development/Java
Requires: %name 
### JPP
Provides: geronimo-servlet-2.4-api = %version-%release
Provides: servlet = 0:2.4
Provides: servlet24 = 0:2.4

%description servlet
%summary.

%package activation-javadoc
Summary: Javadoc for activation
Group: Development/Documentation
Requires: %name

%description activation-javadoc
%summary.

%package ejb-javadoc
Summary: Javadoc for ejb
Group: Development/Documentation
Requires: %name

%description ejb-javadoc
%summary.

%package j2ee-connector-javadoc
Summary: Javadoc for j2ee-connector
Group: Development/Documentation
Requires: %name

%description j2ee-connector-javadoc
%summary.

%package j2ee-deployment-javadoc
Summary: Javadoc for j2ee-deployment
Group: Development/Documentation
Requires: %name

%description j2ee-deployment-javadoc
%summary.

%package j2ee-jacc-javadoc
Summary: Javadoc for j2ee-jacc
Group: Development/Documentation
Requires: %name

%description j2ee-jacc-javadoc
%summary.

%package j2ee-management-javadoc
Summary: Javadoc for j2ee-management
Group: Development/Documentation
Requires: %name

%description j2ee-management-javadoc
%summary.

%package javamail-javadoc
Summary: Javadoc for javamail
Group: Development/Documentation
Requires: %name

%description javamail-javadoc
%summary.

%package jms-javadoc
Summary: Javadoc for jms
Group: Development/Documentation
Requires: %name

%description jms-javadoc
%summary.

%package jsp-javadoc
Summary: Javadoc for jsp
Group: Development/Documentation
Requires: %name

%description jsp-javadoc
%summary.

%package jta-javadoc
Summary: Javadoc for jta
Group: Development/Documentation
Requires: %name

%description jta-javadoc
%summary.

%package servlet-javadoc
Summary: Javadoc for servlet
Group: Development/Documentation
Requires: %name

%description servlet-javadoc
%summary.

%prep
%setup -q -n geronimo-%version-M5
cd specs
%__tar Cxjf . %SOURCE1

%build
cd specs

%set_classpath junit
# firstly build specs without deps
for spec in activation corba j2ee-connector j2ee-deployment jms jta qname servlet
do
	pushd $spec
		%ant_build -Dnoget=only jar
		if [ -d xdocs ] ;then
			%ant_build -Dnoget=only javadoc
		fi
	popd
done

# build specs with activation dependency
for spec in javamail jaxr saaj
do
	pushd $spec
		%ant_build -Dnoget=only -lib ../activation/target/activation.jar jar
		if [ -d xdocs ] ;then
			%ant_build -Dnoget=only -lib ../activation/target/activation.jar javadoc
		fi
	popd
done

pushd ejb
	%ant_build -Dnoget=only -lib ../jta/target/jta.jar jar javadoc
popd

pushd j2ee-jacc
	%ant_build -Dnoget=only -lib ../servlet/target/servlet.jar jar javadoc
popd

pushd j2ee-management
	%ant_build -Dnoget=only -lib %_javadir/mx4j.jar -lib ../ejb/target/ejb.jar jar javadoc
popd

pushd jaxrpc
	%ant_build -Dnoget=only -lib ../qname/target/qname.jar -lib ../saaj/target/saaj.jar \
		-lib ../servlet/target/servlet.jar jar
popd

pushd jsp
	%ant_build -Dnoget=only -lib ../servlet/target/servlet.jar jar javadoc
popd

%install
%__mkdir_p %buildroot{%_javadir/%name,%_javadocdir/%name}

cd specs

for spec in activation corba ejb j2ee-connector j2ee-deployment j2ee-jacc j2ee-management javamail \
jaxr jaxrpc jms jsp jta qname saaj servlet
do
	pushd $spec
		%__cp target/$spec.jar %buildroot%_javadir/%name
		if [ -d dist ] ;then
			%__mkdir %buildroot%_javadocdir/%name/$spec
			%__cp -R dist/docs/api/* %buildroot%_javadocdir/%name/$spec
		fi
	popd
done

pushd $RPM_BUILD_ROOT%{_javadir}
  ln -s %name/activation.jar geronimo-jaf-1.0.2-api.jar
  ln -s %name/corba.jar geronimo-corba-2.3-apis.jar
  ln -s %name/ejb.jar geronimo-ejb-2.1-api.jar
  ln -s %name/j2ee-connector.jar geronimo-j2ee-connector-1.5-api.jar
  ln -s %name/j2ee-deployment.jar geronimo-j2ee-deployment-1.1-api.jar
  ln -s %name/j2ee-jacc.jar geronimo-jacc-1.0-api.jar
  ln -s %name/j2ee-management.jar geronimo-j2ee-management-1.0-api.jar
  ln -s %name/javamail.jar geronimo-javamail-1.3.1-api.jar
  ln -s %name/jaxr.jar geronimo-jaxr-1.0-api.jar
  ln -s %name/jaxrpc.jar geronimo-jaxrpc-1.1-api.jar
  ln -s %name/jms.jar geronimo-jms-1.1-api.jar
  ln -s %name/jsp.jar geronimo-jsp-2.0-api.jar
  ln -s %name/jsp.jar jspapi.jar
  ln -s %name/jta.jar geronimo-jta-1.0.1B-api.jar
  ln -s %name/qname.jar geronimo-qname-1.1-api.jar
  ln -s %name/saaj.jar geronimo-saaj-1.1-api.jar
  ln -s %name/servlet.jar geronimo-servlet-2.4-api.jar
popd

#hack! should be alternatives
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -s %name/ejb.jar ejb.jar
  ln -s %name/j2ee-connector.jar j2ee-connector.jar
  ln -s %name/j2ee-deployment.jar j2ee-deployment.jar
  ln -s %name/j2ee-jacc.jar jacc.jar
  ln -s %name/j2ee-management.jar j2ee-management.jar
  ln -s %name/jaxr.jar jaxr.jar
  ln -s %name/jaxrpc.jar jaxrpc.jar
  ln -s %name/jms.jar jms.jar
  ln -s %name/jsp.jar jsp.jar
  ln -s %name/jta.jar jta.jar
  ln -s %name/saaj.jar saaj.jar
  ln -s %name/servlet.jar servlet24.jar
  ln -s %name/servlet.jar servlet.jar
popd


%files
%dir %_javadir/%name
%dir %_javadocdir/%name

%files activation
%_javadir/%name/activation.jar
%_javadir/geronimo-jaf-1.0.2-api.jar

%files corba
%_javadir/%name/corba.jar
%_javadir/geronimo-corba-2.3-apis.jar

%files ejb
%_javadir/%name/ejb.jar
%_javadir/geronimo-ejb-2.1-api.jar
# hack! should be alternatives!
%_javadir/ejb.jar

%files j2ee-connector
%_javadir/%name/j2ee-connector.jar
%_javadir/geronimo-j2ee-connector-1.5-api.jar
# hack! should be alternatives!
%_javadir/j2ee-connector.jar

%files j2ee-deployment
%_javadir/%name/j2ee-deployment.jar
%_javadir/geronimo-j2ee-deployment-1.1-api.jar
# hack! should be alternatives!
%_javadir/j2ee-deployment.jar

%files j2ee-jacc
%_javadir/%name/j2ee-jacc.jar
%_javadir/geronimo-jacc-1.0-api.jar
# hack! should be alternatives!
%_javadir/jacc.jar

%files j2ee-management
%_javadir/%name/j2ee-management.jar
%_javadir/geronimo-j2ee-management-1.0-api.jar
# hack! should be alternatives!
%_javadir/j2ee-management.jar

%files javamail
%_javadir/%name/javamail.jar
%_javadir/geronimo-javamail-1.3.1-api.jar

%files jaxr
%_javadir/%name/jaxr.jar
%_javadir/geronimo-jaxr-1.0-api.jar
# hack! should be alternatives!
%_javadir/jaxr.jar

%files jaxrpc
%_javadir/%name/jaxrpc.jar
%_javadir/geronimo-jaxrpc-1.1-api.jar
# hack! should be alternatives!
%_javadir/jaxrpc.jar

%files jms
%_javadir/%name/jms.jar
%_javadir/geronimo-jms-1.1-api.jar
# hack! should be alternatives!
%_javadir/jms.jar

%files jsp
%_javadir/%name/jsp.jar
%_javadir/geronimo-jsp-2.0-api.jar
%_javadir/jspapi.jar
# hack! should be alternatives!
%_javadir/jsp.jar

%files jta
%_javadir/%name/jta.jar
%_javadir/geronimo-jta-1.0.1B-api.jar
# hack! should be alternatives!
%_javadir/jta.jar

%files qname
%_javadir/%name/qname.jar
%_javadir/geronimo-qname-1.1-api.jar

%files saaj
%_javadir/%name/saaj.jar
%_javadir/geronimo-saaj-1.1-api.jar
# hack! should be alternatives!
%_javadir/saaj.jar

%files servlet
%_javadir/%name/servlet.jar
%_javadir/geronimo-servlet-2.4-api.jar
# hack! should be alternatives!
%_javadir/servlet24.jar
%_javadir/servlet.jar

%files activation-javadoc
%_javadocdir/%name/activation

%files ejb-javadoc
%_javadocdir/%name/ejb

%files j2ee-connector-javadoc
%_javadocdir/%name/j2ee-connector

%files j2ee-deployment-javadoc
%_javadocdir/%name/j2ee-deployment

%files j2ee-jacc-javadoc
%_javadocdir/%name/j2ee-jacc

%files j2ee-management-javadoc
%_javadocdir/%name/j2ee-management

%files javamail-javadoc
%_javadocdir/%name/javamail

%files jms-javadoc
%_javadocdir/%name/jms

%files jsp-javadoc
%_javadocdir/%name/jsp

%files jta-javadoc
%_javadocdir/%name/jta

%files servlet-javadoc
%_javadocdir/%name/servlet

%changelog
* Fri May 25 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.M5.6
- added lots of jpackage compatible symlinks (hack, should be alternatives)

* Thu May 24 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.M5.5
- added lots of jpackage compatible provides

* Sat May 19 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.M5.4
- added provides: jsp

* Tue May 08 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.M5.3
- added provides for jpackage

* Sun May 06 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.M5.2
- rebuild with java 1.4

* Thu Nov 24 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.M5.1
- Initial build for ALT Linux Sisyphus 

